/**
 * 
 */
package com.jujunie.service.consolidate;

import java.io.Serializable;

import com.jujunie.service.consolidate.ConsolidatedAxis.Type;

/**
 * Represents a consolidate element
 * @author Julien BETI
 * @since 0.06.01
 * @version $Revision$
 */
public class ConsolidateElement implements Serializable {

    /** serialVersionUID */
    private static final long serialVersionUID = 5266108948433843449L;
    /** Value */
    private double value = 0.0d;
    /** X Axis */
    private ConsolidatedAxis xAxis = null;
    /** Y Axis */
    private ConsolidatedAxis yAxis = null;
    /** Index in the X axis list */
    private int xIndex = -1;
    /** Index in the Y axis list */
    private int yIndex = -1;

    /**
     * @return the value
     */
    public double getValue() {
        return this.value;
    }

    /**
     * @param value the value to set
     */
    void setValue(double value) {
        this.value = value;
    }
    
    void addAxis(ConsolidatedAxis axis) {
        if (axis.getType() == Type.X) {
            this.xAxis = axis;
            xIndex = this.xAxis.getElements().size();
            this.xAxis.addElement(this);
        } else {
            this.yAxis = axis;
            yIndex = this.yAxis.getElements().size();
            this.yAxis.addElement(this);
        }
    }

    /**
     * @return the xAxis
     */
    ConsolidatedAxis getXAxis() {
        return this.xAxis;
    }

    /**
     * @return the yAxis
     */
    ConsolidatedAxis getYAxis() {
        return this.yAxis;
    }

    /**
     * @return the xIndex
     */
    int getXIndex() {
        return this.xIndex;
    }
    /**
     * @return the yIndex
     */
    int getYIndex() {
        return this.yIndex;
    }
}
