/**
 * 
 */
package com.jujunie.service.log;

/**
 * @author betiju
 *
 */
public final class CommonsLoggingInstance extends Log {

    /** Logger */
    private org.apache.commons.logging.Log log = null;
    
    
    /**
     * Constructor
     */
    CommonsLoggingInstance(String name) {
        super(name);
        this.log = org.apache.commons.logging.LogFactory.getLog(name);
    }
    
    public void debug(String message) {
        if (this.log.isDebugEnabled()) {
            this.log.debug(" - " + message);
        }
    }

    public void debug(String message, Throwable t) {
        if (this.log.isDebugEnabled()) {
            this.log.debug(" - " + message, t);
        }
    }

    public void info(String message) {
        if (this.log.isInfoEnabled()) {
            this.log.info(" - " + message);
        }
    }

    public void warn(String message) {
        this.log.warn(" - " + message);
    }

    public void error(String message, Throwable t) {
        this.log.error(" - " + message,t);
    }

    public void error(String message) {
        this.log.error(" - " + message);
    }

    public void enter(String method) {
        if (this.log.isDebugEnabled()) {
            this.log.debug(" >" + super.name + ':' + method);
        }
    }
    
    public void exit(String method) {
        if (this.log.isDebugEnabled()) {
            this.log.debug(" <" + super.name + ':' + method);
        }
    }
    
    public void debug(MessageFactory heavyMessage) {
        if (this.log.isDebugEnabled()) {
            this.debug(heavyMessage.createMessage());
        }
    }

    public void debug(String message, Object toLog) {
        if (this.log.isDebugEnabled()) {
            this.debug(message + ' ' + toLog);
        }
    }
    
    public void info(String message, Object toLog) {
        if (this.log.isInfoEnabled()) {
            this.info(message + ' ' + toLog);
        }
    }
}
