/*
 * Created on 13 December 2002, 18:00
 */

package com.jujunie.service.log;

import org.apache.log4j.Logger;
/**
 * @author  <a href="julien@jujunie.com">julien</a>
 */
public class Log4jInstance extends Log{
    
    private Logger category;

    public Log4jInstance(String name) {
      super(name);
      category = Logger.getLogger(name);
    }

    public void debug(String message) {
        if (category.isDebugEnabled()) {
            category.debug(" - " + message);
        }
    }

    public void debug(String message, Throwable t) {
        if (category.isDebugEnabled()) {
            category.debug(" - " + message, t);
        }
    }

    public void info(String message) {
        if (category.isInfoEnabled()) {
            category.info(" - " + message);
        }
    }

    public void warn(String message) {
        category.warn(" - " + message);
    }

    public void error(String message, Throwable t) {
        category.error(" - " + message,t);
    }

    public void error(String message) {
        category.error(" - " + message);
    }

    public void enter(String method) {
        if (category.isDebugEnabled()) {
            category.debug(" >" + super.name + ':' + method);
        }
    }
    
    public void exit(String method) {
        if (category.isDebugEnabled()) {
            category.debug(" <" + super.name + ':' + method);
        }
    }
    
    public void debug(MessageFactory heavyMessage) {
        if (category.isDebugEnabled()) {
            this.debug(heavyMessage.createMessage());
        }
    }

    public void debug(String message, Object toLog) {
        if (category.isDebugEnabled()) {
            this.debug(message + ' ' + toLog);
        }
    }
    
    public void info(String message, Object toLog) {
        if (category.isInfoEnabled()) {
            this.info(message + ' ' + toLog);
        }
    }
}
