/*
 * Created on Dec 20, 2003
 *
 */
package com.jujunie.service.web;

import javax.servlet.http.HttpServletRequest;

/**
 * This Interface represent a command to execute
 * 
 * @author julien
 * 
 * @version $Revision $
 *
 */
public interface Command {
    
    /**
     * Returns the code of the command
     * @return the code of the command
     */
    String getCode();
    
    /**
     * Returns a string that describes the command
     * @return a string that describes the command
     */
    String getDescription();
    
    /**
     * Execute the command
     * @param req the HttpServletRequest
     * @param webControl the WeController
     * @return The result of the command
     */
    CommandResult execute(WebController webControl, HttpServletRequest req);

}
