/*
 * Created on Mar 5, 2005
 */
package com.jujunie.service.web;

import javax.servlet.ServletConfig;
import javax.servlet.http.HttpServletRequest;

/** Dummy commmand: do nothing, but do it well ;)
 * @author julien
 */
public final class DummyCommand implements Command, InitCommand {

    /** Singleton */
    private static DummyCommand singleton = null;
    
    /**
     * Get instance of DummyCommand
     * @return instance of DummyCommand
     */
    public static DummyCommand getInstance() {
        if (singleton == null) {
            singleton = new DummyCommand();
        }
        return singleton;
    }
    
    /** Private default constructor */
    private DummyCommand() {
        
    }
    
    /**
     * @see com.jujunie.service.web.Command#getCode()
     */
    public String getCode() {
        return "DummyCommand";
    }

    /**
     * @see com.jujunie.service.web.Command#getDescription()
     */
    public String getDescription() {
        return "Dummy commmand: do nothing, but do it well ;)";
    }

    /**
     * @see com.jujunie.service.web.Command#execute(
     * com.jujunie.service.web.WebController,
     * javax.servlet.http.HttpServletRequest)
     */
    public CommandResult execute(WebController webControl,
            HttpServletRequest req) {
        return null;
    }

    /**
     * @see com.jujunie.service.web.InitCommand#execute(com.jujunie.service.web.WebController, javax.servlet.ServletConfig)
     */
    public void execute(WebController webControl, ServletConfig conf) {
    }

}
