package com.jujunie.service.web;

import javax.servlet.http.HttpServletRequest;

import com.jujunie.service.Container;

/**
 *  This is a decorator of HttpServletRequest to implement Container interface
 * @author julien
 */
public class HttpServletRequestContainer implements Container {

    /** HttpServletRequest to decorate */
    private HttpServletRequest r = null; 
    
    /**
     * @param request HttpServletRequest to decorate
     * @throws IllegalArgumentException if the given request is null
     */
    public HttpServletRequestContainer(HttpServletRequest request) {
        if (request == null) {
            throw new IllegalArgumentException("Cannot decorate NULL !!!");
        }
        this.r = request;
    }
    
    /**
     * @see com.jujunie.service.Container#setAttribute(java.lang.String, java.lang.Object)
     */
    public void setAttribute(String key, Object att) {
        this.r.setAttribute(key, att);
    }

    /**
     * @see com.jujunie.service.Container#getAttribute(java.lang.String)
     */
    public Object getAttribute(String key) {
        return this.r.getAttribute(key);
    }

}
