/**
 * 
 */
package com.jujunie.service.web;

import javax.servlet.http.HttpSession;

import com.jujunie.service.Container;

/**
 * HttpSession decorator to implement Container interface
 * @author julien
 *
 */
public class HttpSessionContainer implements Container {

    /**
     * Creates a new HttpSessionContainer
     * @param s the session to decorate
     * @throws IllegalArgumentException if the given attribute s is null
     */
    public HttpSessionContainer(HttpSession s) throws IllegalArgumentException {
        if (s == null) {
            throw new IllegalArgumentException("Cannot decorate null...");
        }
        this.session = s;
    }
    
    /** Http session to decorate */
    private HttpSession session;
    
    /**
     * @see com.jujunie.service.Container#setAttribute(java.lang.String, java.lang.Object)
     */
    public void setAttribute(String key, Object att) {
        this.session.setAttribute(key, att);
    }

    /**
     * @see com.jujunie.service.Container#getAttribute(java.lang.String)
     */
    public Object getAttribute(String key) {
        return this.session.getAttribute(key);
    }

}
