/*
 * Created on Nov 29, 2003
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package com.jujunie.service.web;

import java.io.Serializable;

import org.w3c.dom.Element;
import org.w3c.dom.Node;

import com.jujunie.service.xml.*;


/**
 * This is an implementation of the WebArea interface
 * loaded using an XML DOM structure.
 * Nested into a template or page element.
 * Required attributes :
 * <ul>
 *   <li>code : code of the area</li>
 *   <li>value : value of the area</li>
 * </ul>
 * @see WebPageXML
 * @see WebTemplateXML
 * @author julien
 */
public class WebAreaXML extends WebElementXML implements WebArea, Serializable {

    /** serialVersionUID */
    private static final long serialVersionUID = -6997507506199445006L;

    /** Area element name */
    public static final String ELEMENT_NAME = "area";
    
    /** Code of the area */
    private String code;
    
    /** Value of the area */
    private String value;
    
    /**
     * Constructor
     * @param a the XML node representing the area
     * @throws InvalidXMLElementException
     */
    protected WebAreaXML(Node tpl) throws InvalidXMLElementException {
        Element areaElement;
        if (tpl.getNodeType() != Node.ELEMENT_NODE) {
            throw new InvalidXMLElementException("The given XML node is not an element");
        }
        areaElement = (Element) tpl;
        if (!areaElement.getTagName().equals(ELEMENT_NAME)) {
            throw new InvalidXMLElementException("The given Element is not a " + ELEMENT_NAME
                                               + " element");
        }
        this.code = super.getAttribute(areaElement, ATT_CODE, true);
        this.value = super.getAttribute(areaElement, ATT_VALUE, true);
    }
    
    /* (non-Javadoc)
     * @see com.jujunie.service.web.WebArea#getCode()
     */
    public String getCode() {
        return this.code;
    }

    /* (non-Javadoc)
     * @see com.jujunie.service.web.WebArea#getValue()
     */
    public String getValue() {
        return this.value;
    }

}
