/*
 * Created on 11 nov. 2003
 *
 */
package com.jujunie.service.web;

/**
 * This exception is thrown when a web item such as WebApplication,
 * WebModule, WebPage, WebCommand are not found.
 * Generally, it is due to either a wrong name or a wrong
 * configuration
 * @author <a href="mailto:julien@jujunie.com">julien</a>
 */
public class WebItemNotAvailableException extends Exception {

    /**
     * Detailed message
     */
    private String message = "";
    
    /**
     * Creates a new WebItemNotAvailbleException
     * @param message detailed message
     */
    public WebItemNotAvailableException(String message) {
        if (message != null) {
            this.message = message;
        }
    }

    /* (non-Javadoc)
     * @see java.lang.Throwable#getMessage()
     */
    public String getMessage() {
        return this.message;
    }

}
