/*
 * Created on Jan 11, 2005
 */
package com.jujunie.service.web;

import java.io.Serializable;

import org.w3c.dom.Element;
import org.w3c.dom.Node;

import com.jujunie.service.xml.InvalidXMLElementException;

/**
 * Base implementation for simple parameter
 * @author julien
 */
public class WebPropertyXML extends WebElementXML implements Serializable, WebProperty {

    /** Param element name */
    public static final String ELEMENT_NAME = "property";
    /** code */
    private String code = "";
    /** value */
    private String value = "";
    
    /**
     * @see com.jujunie.service.web.WebProperty#getCode()
     */
    public String getCode() {
        return this.code;
    }

    /**
     * @see com.jujunie.service.web.WebProperty#getValue()
     */
    public String getValue() {
        return this.value;
    }
    
    /**
     * Creates a new WebParamBaseXML
     * @param param node that represent the parameter
     * @throws InvalidXMLElementException
     */
    protected WebPropertyXML (Node param) throws InvalidXMLElementException {
        Element paramElement;
        if (param.getNodeType() != Node.ELEMENT_NODE) {
            throw new InvalidXMLElementException("The given XML node is not an element");
        }
        paramElement = (Element) param;
        if (!paramElement.getTagName().equals(ELEMENT_NAME)) {
            throw new InvalidXMLElementException("The given Element is not a " + ELEMENT_NAME
                                               + " element");
        }
        this.code = super.getAttribute(paramElement, ATT_CODE, true);
        this.value = super.getAttribute(paramElement, ATT_VALUE, true);
    }

}
