/*
 * Created on 11 nov. 2003
 *
 */
package com.jujunie.service.web;

import java.io.Serializable;

/**
 * Represent a template.
 * @author <a href="mailto:julien@jujunie.com">julien</a>
 */
public interface WebTemplate extends Serializable {
    
    /**
     * @return the code of the template
     */
    String getCode();
    
    /**
     * @param areaName name of the area to retreive
     * @return the web area corresponding to the given area name
     */
    WebArea getArea(String areaName) throws WebItemNotAvailableException;
    
    /**
     * @return the list of areas of this template
     */
    WebAreaList getAreaList();
        
    /**
     * @return the container of this template
     */
    String getContainer();

}
