/**
 * 
 */
package com.jujunie.service.web.html;

import java.io.Serializable;

/**
 * @author julien
 *
 */
public abstract class ColumnManager implements Serializable {

    /** CSS style class of the header */
    private String headerStyleClass = "";
    
    /** CSS style class of the list */
    private String columnStyleClass = "";
    
    /** Label of the column */
    private String labelCode = "";
    
    /**
     * Generate the header in the given StringBuffer
     * @param res the String buffer where to generate the header
     * @param info table information
     */
    protected void generateHeader(TableInformation info, StringBuffer res) {
        res.append("<th class=\"")
        .append(this.headerStyleClass)
        .append("\">")
        .append(info.getColumnLabel(this.labelCode))
        .append("</th>");
    }
    
    /** Init the column manager */
    protected abstract void init(Table t);
    
    /**
     * Generates the cell corresponding to this column with the given row manager.
     * @param info table information
     * @param r row manager
     * @param res the string buffer where to generate the cell
     */
    protected abstract void generateCell(TableInformation info, RowManager r, StringBuffer res);

    /**
     * @return CSS column style class
     */
    protected String getColumnStyleClass() {
        return columnStyleClass;
    }

    /**
     * @return header style class code
     */
    protected String getHeaderStyleClass() {
        return headerStyleClass;
    }

    /**
     * @param headerStyleClass header style class code
     */
    protected void setHeaderStyleClass(String headerStyleClass) {
        this.headerStyleClass = headerStyleClass;
    }

    /**
     * @return label of the column
     */
    protected String getLabelCode() {
        return labelCode;
    }

    /**
     * @param labelCode column header label code
     */
    protected void setLabelCode(String labelCode) {
        this.labelCode = labelCode;
    }

    /**
     * @param columnStyleClassCode column style class
     */
    protected void setColumnStyleClass(String columnStyleClassCode) {
        this.columnStyleClass = columnStyleClassCode;
    }
}
