/**
 * 
 */
package com.jujunie.service.web.html;

/**
 * The row manager provides the correct value to the ColumnManager
 * depending on the column position and needs
 * @author julien
 *
 */
public interface RowManager {

    /**
     * Set the value object that represent this row
     * @param vo value object
     * @param rowNumber the row number
     */
    void setVO(Object vo, int rowNumber);
    
    /**
     * Notifies the row manager that we are in the next column
     */
    void nextColumnNotification();
    
    /**
     * @return the value to display as string
     */
    String getValueAsString();
    
    /**
     * @param columnStyleClassCode the style class applyed to all the column
     * @return the CSS style class of the cell
     */
    String getCellStyleClassCode(String columnStyleClassCode);
    
}
