/**
 * 
 */
package com.jujunie.service.web.html;

import java.io.Serializable;
import java.util.List;

/**
 * Hold the information required to generate a table
 * @author julien
 */
public abstract class TableInformation implements Serializable {

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = -9090851087498347968L;

    /** numberof the current line */
    private int currentLineNumber = 0;
    
    /** List of VO to display */
    private List vos = null;

    /**
     * @return current line number
     */
    protected int getCurrentLineNumber() {
        return currentLineNumber;
    }

    /**
     * Init the current line number
     */
    protected void initCurrentLineNumber() {
        this.currentLineNumber = 0;
    }
    
    /**
     * Increases the current line number by one.
     */
    protected void increaseCurrentLineNumber() {
        this.currentLineNumber++;
    }

    /**
     * @return list of value objects
     */
    public List getVos() {
        return vos;
    }

    /**
     * @param vos list of valus object
     */
    public void setVos(List vos) {
        this.vos = vos;
    }
    
    /**
     * @param columnLabelCode label code
     * @return the label of the column corresponding to the given column label code
     */
    public abstract String getColumnLabel(String columnLabelCode);
        
}
